## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault::XPathCacheReturnFunctor Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Collaboration diagram for StylesheetExecutionContextDefault::XPathCacheReturnFunctor:

List of all members.

## Public Methods

- XPathCacheReturnFunctor (XSLTEngineImpl& xsltProcessor)
- void operator() (const XPathCacheMapType::value_type& theCacheEntry)

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::XPathCacheReturnFunctor::XPathCacheReturnFunctor ( | XSLTEngineImpl & xsltProcessor )

## Member Function Documentation

void StylesheetExecutionContextDefault::XPathCacheReturnFunctor::operator() ( | const XPathCacheMapType::value_type & theCacheEntry )

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.